package com.steerinfo.baseinfo.meterbaserailwayweight.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.baseinfo.meterbaserailwayweight.model.MeterBaseRailwayWeight;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseRailwayWeightMapper extends IBaseMapper<MeterBaseRailwayWeight, String> {
    String GetNewID();

    List<MeterBaseRailwayWeight> selectForUpdate(Map<String, Object> parameters);

    List<MeterBaseRailwayWeight> selectForMeter(Map<String, Object> parameters);
    List<MeterBaseRailwayWeight> noPage(Map<String, Object> var1);
}